Page MenuHomePhabricator

Do not show backtrace when reloading the "Account merging" page after a successful merge
Closed, ResolvedPublic

Description

Author: romain

Description:
On french wikipédia, if I merge my accounts, then I reload the page, I got this backtrace:

Already exists -- race condition
Backtrace:
#0 /usr/local/apache/common-local/wmf-deployment/extensions/CentralAuth/SpecialMergeAccount.php(64): SpecialMergeAccount->doInitialMerge()
#1 /usr/local/apache/common-local/wmf-deployment/includes/SpecialPage.php(559): SpecialMergeAccount->execute(NULL)
#2 /usr/local/apache/common-local/wmf-deployment/includes/Wiki.php(242): SpecialPage::executePath(Object(Title))
#3 /usr/local/apache/common-local/wmf-deployment/includes/Wiki.php(64): MediaWiki->handleSpecialCases(Object(Title), Object(OutputPage), Object(WebRequest))
#4 /usr/local/apache/common-local/wmf-deployment/index.php(117): MediaWiki->performRequestForTitle(Object(Title), NULL, Object(OutputPage), Object(User), Object(WebRequest))
#5 /usr/local/apache/common-local/live-1.5/index.php(3): require('/usr/local/apac...')
#6 {main}


Version: unspecified
Severity: normal

Details

Reference
bz21160

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:46 PM
bzimport set Reference to bz21160.
bzimport added a subscriber: Unknown Object (MLST).
Reedy added a comment.Jan 7 2014, 7:48 PM

Just seen this one again now

2014-01-07 19:47:41 mw1074 eswikibooks: [56337b12] /w/index.php?title=Especial:Fusionar_cuenta_global&action=submit Exception from line 185 of /usr/local/apache/common-local/php-1.23wmf9/extensions/CentralAuth/specials/SpecialMergeAccount.php: Already exists -- race condition
#0 /usr/local/apache/common-local/php-1.23wmf9/extensions/CentralAuth/specials/SpecialMergeAccount.php(72): SpecialMergeAccount->doDryRunMerge()
#1 /usr/local/apache/common-local/php-1.23wmf9/includes/specialpage/SpecialPage.php(674): SpecialMergeAccount->execute(NULL)
#2 /usr/local/apache/common-local/php-1.23wmf9/includes/SpecialPageFactory.php(488): SpecialPage->run(NULL)
#3 /usr/local/apache/common-local/php-1.23wmf9/includes/Wiki.php(298): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#4 /usr/local/apache/common-local/php-1.23wmf9/includes/Wiki.php(596): MediaWiki->performRequest()
#5 /usr/local/apache/common-local/php-1.23wmf9/includes/Wiki.php(460): MediaWiki->main()
#6 /usr/local/apache/common-local/php-1.23wmf9/index.php(49): MediaWiki->run()
#7 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#8 {main}

Instead of throwing an exception, we should just display the cleanup form or the attach form.

Aklapper added a subscriber: Aklapper.

Anyone knows if this problem still happens nowadays?

The link https://fr.wikipedia.org/w/index.php?title=Spécial:Fusionner_le_compte&action=submit/w/index.php?title=Spécial:Fusionner_le_compte&action=submit provided above just displays "Unification des comptes terminée !" for me...

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 16 2016, 5:19 PM
Aklapper renamed this task from Backtrace when reloading the "accounts merging" page to Do not show backtrace when reloading the "Account merging" page after a successful merge.Dec 16 2016, 5:20 PM
Aklapper removed a subscriber: wikibugs-l-list.

Fairly sure the bug still exists in the code, but post-SULF, barely anyone will ever visit that page.

Fairly sure the bug still exists in the code, but post-SULF, barely anyone will ever visit that page.

Krinkle closed this task as Resolved.Oct 27 2018, 8:41 PM
Krinkle edited projects, added Wikimedia-production-error; removed TestMe, good first task.
Meno25 removed a subscriber: Meno25.Oct 28 2018, 10:13 AM
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM